<template>
	<div class="fade">
		<a-col v-bind="colMain">
			<aplayer ref="myAplayer" :audio="audio" :autoplay="autoplay" fixed style="z-index: 10;" :volume="0.1"
				:preload="preload" />
		</a-col>

		<!-- <a-modal ref="musicModal" title="" :dialog-style="{ top: '10px' }" :mask="false"
		:maskClosable="false"	:visible="modal1Visible" @ok="() => setModal1Visible(false)" @cancel="() => setModal1Visible(false)">
			<p>{{secondsToGo}}秒后关闭</p>
		</a-modal> -->
	</div>
</template>

<script>
	import APlayer from '@moefe/vue-aplayer';

	export default {
		created() {
			this.$nextTick(function() {
				this.$message.info("stop..")
				this.$refs.myAplayer.pause();
			})
		},
		data() {
			return {
				colMain: {
					xs: 0,
					sm: 0,
					md: 1,
					lg: 1,
					xl: 1,
					xxl: 1
				},
				autoplay: false,
				modal1Visible: true,
				secondsToGo: 5,
				preload: "none",
				audio: {
					name: 'Moonwisher',
					artist: 'Kan R. Gao',
					url: 'http://music.163.com/song/media/outer/url?id=1645104.mp3',
					// url: '/moon.mp3',
					cover: 'http://p2.music.126.net/0AYWra9rCzgeprGp6OUyUw==/868614185993997.jpg?param=130y130',
				},
			};

		},
		created() {
			// const interval = setInterval(() => {
			// 	this.secondsToGo -= 1;
			// }, 1000);

			// setTimeout(() => {
			// 	clearInterval(interval);
			// 	this.modal1Visible = false
			// }, 5000);
		},
		methods: {
			setModal1Visible(modal1Visible) {

				this.modal1Visible = modal1Visible;
			},
		},
	};
	// var ap = new APlayer({
	//                    element: document.getElementById('player1'),
	//                    narrow: false,
	//                    autoplay: false,
	//                    listFolded:true,
	//                    audio:[

	//                            {
	//                             title: 'Wish My Life Away',
	//                             author: 'Kan R. Gao / Laura Shigihara',
	//                             url: 'http://music.163.com/song/media/outer/url?id=529668945.mp3',
	//                             pic: 'http://p1.music.126.net/2VSSz_JLHtggZqmquFO_tw==/109951163106305809.jpg?param=130y130'
	//                            }, 
	//                            {
	//                                title: 'Moonwisher',
	//                                author: 'Kan R. Gao',
	//                                url: 'http://music.163.com/song/media/outer/url?id=1645104.mp3',
	//                                pic: 'http://p2.music.126.net/0AYWra9rCzgeprGp6OUyUw==/868614185993997.jpg?param=130y130'
	//                            },
	//                            {
	//                             title: 'For River - Piano (Johnny\'s Version)',
	//                             author: 'Kan R. Gao',
	//                             url: 'http://music.163.com/song/media/outer/url?id=1645112.mp3',
	//                             pic: 'http://p2.music.126.net/0AYWra9rCzgeprGp6OUyUw==/868614185993997.jpg?param=130y130'
	//                            },
	//                             {
	//                                title: '花火が瞬く夜に',
	//                                author: '羽肿',
	//                                url: 'http://music.163.com/song/media/outer/url?id=434902428.mp3',
	//                                pic: 'http://p1.music.126.net/f7Nd9FSzVZMkTPWDW_rnOg==/736672800839982.jpg?param=130y130'
	//                            }
	//               		 ]
	//                     });
</script>

<style>
</style>
